import { getDeclaratorFromConstTag } from "../compat.js";
/** Convert for ConstTag */
export function convertConstTag(node, parent, ctx) {
    const mustache = {
        type: "SvelteConstTag",
        declaration: null,
        parent,
        ...ctx.getConvertLocation(node),
    };
    ctx.scriptLet.addVariableDeclarator(getDeclaratorFromConstTag(node), mustache, (declaration) => {
        mustache.declaration = declaration;
    });
    const atConstStart = ctx.code.indexOf("@const", mustache.range[0]);
    ctx.addToken("MustacheKeyword", {
        start: atConstStart,
        end: atConstStart + 6,
    });
    return mustache;
}
